Skip to main content
GET
/
api
/
v1
/
openclaw
/
tiktok
/
search
/
hashtag
Search by Hashtag
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/search/hashtag \
  --header 'Authorization: Bearer <token>'

Parameters

hashtag
string
required
Hashtag to search for (without #)
region
string
Region the proxy will be set to. (e.g., US)
cursor
integer
Cursor to get more videos. Get ‘cursor’ from previous response. (e.g., 10)
trim
boolean
Set to true to get a trimmed response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/search/hashtag?hashtag=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "aweme_list": [
      {
        "aweme_id": "...",
        "desc": "...",
        "statistics": {
          "digg_count": 123,
          "comment_count": 45,
          "play_count": 67890
        }
      }
    ]
  },
  "meta": {
    "platform": "tiktok",
    "endpoint": "search-hashtag",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.